Bug 994538 - [abrt] remmina-1.0.0-7.fc19: gdi_DeleteObject: Process /usr/bin/remmina was killed by signal 6 (SIGABRT)
[abrt] remmina-1.0.0-7.fc19: gdi_DeleteObject: Process /usr/bin/remmina was k...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
abrt_hash:d3936a7fbb03ad2db9831f25b19...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 09:17 EDT by Pavel Alexeev
Modified: 2014-08-18 04:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-18 04:45:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (47.12 KB, text/plain)
2013-08-07 09:17 EDT, Pavel Alexeev
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-07 09:17 EDT, Pavel Alexeev
no flags Details
File: core_backtrace (42.09 KB, text/plain)
2013-08-07 09:17 EDT, Pavel Alexeev
no flags Details
File: dso_list (14.03 KB, text/plain)
2013-08-07 09:17 EDT, Pavel Alexeev
no flags Details
File: environ (2.83 KB, text/plain)
2013-08-07 09:17 EDT, Pavel Alexeev
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-07 09:17 EDT, Pavel Alexeev
no flags Details
File: maps (70.66 KB, text/plain)
2013-08-07 09:18 EDT, Pavel Alexeev
no flags Details
File: open_fds (3.38 KB, text/plain)
2013-08-07 09:18 EDT, Pavel Alexeev
no flags Details
File: proc_pid_status (956 bytes, text/plain)
2013-08-07 09:18 EDT, Pavel Alexeev
no flags Details
File: var_log_messages (15.52 KB, text/plain)
2013-08-07 09:18 EDT, Pavel Alexeev
no flags Details

  None (edit)
Description Pavel Alexeev 2013-08-07 09:17:34 EDT
Version-Release number of selected component:
remmina-1.0.0-7.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/remmina
crash_function: gdi_DeleteObject
executable:     /usr/bin/remmina
kernel:         3.10.4-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 gdi_DeleteObject at /usr/src/debug/freerdp-1.0.2/libfreerdp-gdi/dc.c:169
 #6 gdi_Bitmap_Free at /usr/src/debug/freerdp-1.0.2/libfreerdp-gdi/graphics.c:72
 #7 Bitmap_Free at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/graphics.c:52
 #8 offscreen_cache_delete at /usr/src/debug/freerdp-1.0.2/libfreerdp-cache/offscreen.c:116
 #9 update_gdi_create_offscreen_bitmap at /usr/src/debug/freerdp-1.0.2/libfreerdp-cache/offscreen.c:39
 #10 fastpath_recv_orders at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/fastpath.c:132
 #11 fastpath_recv_update at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/fastpath.c:173
 #12 fastpath_recv_update_data at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/fastpath.c:294
 #13 fastpath_recv_updates at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/fastpath.c:310
 #14 rdp_recv_fastpath_pdu at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/rdp.c:762

Potential duplicate: bug 857794
Comment 1 Pavel Alexeev 2013-08-07 09:17:37 EDT
Created attachment 783896 [details]
File: backtrace
Comment 2 Pavel Alexeev 2013-08-07 09:17:42 EDT
Created attachment 783897 [details]
File: cgroup
Comment 3 Pavel Alexeev 2013-08-07 09:17:46 EDT
Created attachment 783898 [details]
File: core_backtrace
Comment 4 Pavel Alexeev 2013-08-07 09:17:50 EDT
Created attachment 783899 [details]
File: dso_list
Comment 5 Pavel Alexeev 2013-08-07 09:17:53 EDT
Created attachment 783900 [details]
File: environ
Comment 6 Pavel Alexeev 2013-08-07 09:17:58 EDT
Created attachment 783901 [details]
File: limits
Comment 7 Pavel Alexeev 2013-08-07 09:18:01 EDT
Created attachment 783902 [details]
File: maps
Comment 8 Pavel Alexeev 2013-08-07 09:18:06 EDT
Created attachment 783903 [details]
File: open_fds
Comment 9 Pavel Alexeev 2013-08-07 09:18:10 EDT
Created attachment 783904 [details]
File: proc_pid_status
Comment 10 Pavel Alexeev 2013-08-07 09:18:14 EDT
Created attachment 783905 [details]
File: var_log_messages
Comment 11 Christoph Wickert 2014-05-22 07:35:15 EDT
Assigning bug to new package maintainer.
Comment 12 Pavel Alexeev 2014-08-18 04:45:18 EDT
Thank very much bug report and willing make free software better.

As I already use remmina in my day job I really try fix known issues and make it up to date. Unfortunately it is big project which is poorly maintained upstream for long time. In prepare new release of freerdp and remmina we hope it may be changed now. Remmina still have many opened issues some of opened for years. Meantime some of major have trend to resolve (for example not official path to solve clipboard issue https://github.com/FreeRDP/Remmina/issues/280#issuecomment-51663311 already in rawhide).

So have such problems unfortunately became near impossible maintain such fixes in stable Fedora versions.
With help of Simone Caronni we have new version 1.0.0 from git master branch which promise some enhancements as well and based on freerdp 1.1.0 released recently. I can suggest for everyone to try that.

Please reopen if you problem still reproduced on that version.

Note You need to log in before you can comment on or make changes to this bug.